define('modules/smart-assistant/views/dashlets/options/smart-assistant', ['views/dashlets/options/base'], function (BaseView) {

    return BaseView.extend({

        templateContent: '<div class="cell form-group"><label>Alert Limit</label>' +
            '<input type="number" class="form-control" name="alertLimit" value="{{alertLimit}}" min="1" max="50"></div>',

        data: function () {
            return {
                alertLimit: this.optionsData.alertLimit || 10,
            };
        },

        fetch: function () {
            return {
                alertLimit: parseInt(this.$el.find('[name="alertLimit"]').val()) || 10,
            };
        },
    });
});
